﻿/*
 * Postarc
 *
 * Author:
 * Christian Lins <christian.lins@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2012 Intevation GmbH <http://www.intevation.de/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

namespace Postarc.GUI
{
    partial class FormConnectionProperties
    {
        /// <summary>
        /// Erforderliche Designervariable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Verwendete Ressourcen bereinigen.
        /// </summary>
        /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Vom Windows Form-Designer generierter Code

        /// <summary>
        /// Erforderliche Methode für die Designerunterstützung.
        /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
        /// </summary>
        private void InitializeComponent()
        {
			this.lblConnectionName = new System.Windows.Forms.Label();
			this.txtConnectionName = new System.Windows.Forms.TextBox();
			this.lblUser = new System.Windows.Forms.Label();
			this.lblPassword = new System.Windows.Forms.Label();
			this.txtUser = new System.Windows.Forms.TextBox();
			this.txtPassword = new System.Windows.Forms.TextBox();
			this.groupBoxServer = new System.Windows.Forms.GroupBox();
			this.numPort = new System.Windows.Forms.NumericUpDown();
			this.lblPort = new System.Windows.Forms.Label();
			this.txtHost = new System.Windows.Forms.TextBox();
			this.lblHost = new System.Windows.Forms.Label();
			this.groupBoxAuthentication = new System.Windows.Forms.GroupBox();
			this.groupBoxDatabase = new System.Windows.Forms.GroupBox();
			this.cmbDbNames = new System.Windows.Forms.ComboBox();
			this.btnLoadDbNames = new System.Windows.Forms.Button();
			this.lblDbName = new System.Windows.Forms.Label();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnTestConnection = new System.Windows.Forms.Button();
			this.groupBoxServer.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numPort)).BeginInit();
			this.groupBoxAuthentication.SuspendLayout();
			this.groupBoxDatabase.SuspendLayout();
			this.SuspendLayout();
			// 
			// lblConnectionName
			// 
			this.lblConnectionName.AutoSize = true;
			this.lblConnectionName.Location = new System.Drawing.Point(12, 9);
			this.lblConnectionName.Name = "lblConnectionName";
			this.lblConnectionName.Size = new System.Drawing.Size(95, 13);
			this.lblConnectionName.TabIndex = 0;
			this.lblConnectionName.Text = "Connection Name:";
			// 
			// txtConnectionName
			// 
			this.txtConnectionName.Location = new System.Drawing.Point(111, 6);
			this.txtConnectionName.Name = "txtConnectionName";
			this.txtConnectionName.Size = new System.Drawing.Size(306, 20);
			this.txtConnectionName.TabIndex = 1;
			this.txtConnectionName.Text = "Unnamed connection profile";
			// 
			// lblUser
			// 
			this.lblUser.AutoSize = true;
			this.lblUser.Location = new System.Drawing.Point(15, 19);
			this.lblUser.Name = "lblUser";
			this.lblUser.Size = new System.Drawing.Size(32, 13);
			this.lblUser.TabIndex = 4;
			this.lblUser.Text = "User:";
			// 
			// lblPassword
			// 
			this.lblPassword.AutoSize = true;
			this.lblPassword.Location = new System.Drawing.Point(231, 19);
			this.lblPassword.Name = "lblPassword";
			this.lblPassword.Size = new System.Drawing.Size(56, 13);
			this.lblPassword.TabIndex = 5;
			this.lblPassword.Text = "Password:";
			// 
			// txtUser
			// 
			this.txtUser.Location = new System.Drawing.Point(89, 16);
			this.txtUser.Name = "txtUser";
			this.txtUser.Size = new System.Drawing.Size(100, 20);
			this.txtUser.TabIndex = 6;
			// 
			// txtPassword
			// 
			this.txtPassword.Location = new System.Drawing.Point(293, 16);
			this.txtPassword.Name = "txtPassword";
			this.txtPassword.PasswordChar = '#';
			this.txtPassword.Size = new System.Drawing.Size(100, 20);
			this.txtPassword.TabIndex = 7;
			// 
			// groupBoxServer
			// 
			this.groupBoxServer.Controls.Add(this.numPort);
			this.groupBoxServer.Controls.Add(this.lblPort);
			this.groupBoxServer.Controls.Add(this.txtHost);
			this.groupBoxServer.Controls.Add(this.lblHost);
			this.groupBoxServer.Location = new System.Drawing.Point(12, 42);
			this.groupBoxServer.Name = "groupBoxServer";
			this.groupBoxServer.Size = new System.Drawing.Size(405, 74);
			this.groupBoxServer.TabIndex = 8;
			this.groupBoxServer.TabStop = false;
			this.groupBoxServer.Text = "Server";
			// 
			// numPort
			// 
			this.numPort.Location = new System.Drawing.Point(62, 44);
			this.numPort.Maximum = new decimal(new int[] {
            65535,
            0,
            0,
            0});
			this.numPort.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
			this.numPort.Name = "numPort";
			this.numPort.Size = new System.Drawing.Size(82, 20);
			this.numPort.TabIndex = 8;
			this.numPort.Value = new decimal(new int[] {
            5432,
            0,
            0,
            0});
			// 
			// lblPort
			// 
			this.lblPort.AutoSize = true;
			this.lblPort.Location = new System.Drawing.Point(15, 46);
			this.lblPort.Name = "lblPort";
			this.lblPort.Size = new System.Drawing.Size(29, 13);
			this.lblPort.TabIndex = 6;
			this.lblPort.Text = "Port:";
			// 
			// txtHost
			// 
			this.txtHost.Location = new System.Drawing.Point(62, 19);
			this.txtHost.Name = "txtHost";
			this.txtHost.Size = new System.Drawing.Size(331, 20);
			this.txtHost.TabIndex = 5;
			this.txtHost.Text = "localhost";
			// 
			// lblHost
			// 
			this.lblHost.AutoSize = true;
			this.lblHost.Location = new System.Drawing.Point(15, 22);
			this.lblHost.Name = "lblHost";
			this.lblHost.Size = new System.Drawing.Size(32, 13);
			this.lblHost.TabIndex = 4;
			this.lblHost.Text = "Host:";
			// 
			// groupBoxAuthentication
			// 
			this.groupBoxAuthentication.Controls.Add(this.lblUser);
			this.groupBoxAuthentication.Controls.Add(this.lblPassword);
			this.groupBoxAuthentication.Controls.Add(this.txtPassword);
			this.groupBoxAuthentication.Controls.Add(this.txtUser);
			this.groupBoxAuthentication.Location = new System.Drawing.Point(12, 122);
			this.groupBoxAuthentication.Name = "groupBoxAuthentication";
			this.groupBoxAuthentication.Size = new System.Drawing.Size(405, 51);
			this.groupBoxAuthentication.TabIndex = 9;
			this.groupBoxAuthentication.TabStop = false;
			this.groupBoxAuthentication.Text = "Authentication";
			this.groupBoxAuthentication.Enter += new System.EventHandler(this.groupBoxAuthentication_Enter);
			// 
			// groupBoxDatabase
			// 
			this.groupBoxDatabase.Controls.Add(this.cmbDbNames);
			this.groupBoxDatabase.Controls.Add(this.btnLoadDbNames);
			this.groupBoxDatabase.Controls.Add(this.lblDbName);
			this.groupBoxDatabase.Location = new System.Drawing.Point(12, 179);
			this.groupBoxDatabase.Name = "groupBoxDatabase";
			this.groupBoxDatabase.Size = new System.Drawing.Size(405, 52);
			this.groupBoxDatabase.TabIndex = 10;
			this.groupBoxDatabase.TabStop = false;
			this.groupBoxDatabase.Text = "Database";
			// 
			// cmbDbNames
			// 
			this.cmbDbNames.FormattingEnabled = true;
			this.cmbDbNames.Location = new System.Drawing.Point(108, 19);
			this.cmbDbNames.Name = "cmbDbNames";
			this.cmbDbNames.Size = new System.Drawing.Size(210, 21);
			this.cmbDbNames.TabIndex = 3;
			// 
			// btnLoadDbNames
			// 
			this.btnLoadDbNames.Location = new System.Drawing.Point(324, 17);
			this.btnLoadDbNames.Name = "btnLoadDbNames";
			this.btnLoadDbNames.Size = new System.Drawing.Size(75, 23);
			this.btnLoadDbNames.TabIndex = 2;
			this.btnLoadDbNames.Text = "Load";
			this.btnLoadDbNames.UseVisualStyleBackColor = true;
			// 
			// lblDbName
			// 
			this.lblDbName.AutoSize = true;
			this.lblDbName.Location = new System.Drawing.Point(15, 22);
			this.lblDbName.Name = "lblDbName";
			this.lblDbName.Size = new System.Drawing.Size(87, 13);
			this.lblDbName.TabIndex = 1;
			this.lblDbName.Text = "Database Name:";
			// 
			// btnCancel
			// 
			this.btnCancel.Location = new System.Drawing.Point(342, 237);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(75, 23);
			this.btnCancel.TabIndex = 11;
			this.btnCancel.Text = "Cancel";
			this.btnCancel.UseVisualStyleBackColor = true;
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(261, 237);
			this.btnSave.Name = "btnSave";
			this.btnSave.Size = new System.Drawing.Size(75, 23);
			this.btnSave.TabIndex = 12;
			this.btnSave.Text = "Save";
			this.btnSave.UseVisualStyleBackColor = true;
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			// 
			// btnTestConnection
			// 
			this.btnTestConnection.Location = new System.Drawing.Point(180, 237);
			this.btnTestConnection.Name = "btnTestConnection";
			this.btnTestConnection.Size = new System.Drawing.Size(75, 23);
			this.btnTestConnection.TabIndex = 13;
			this.btnTestConnection.Text = "Test";
			this.btnTestConnection.UseVisualStyleBackColor = true;
			this.btnTestConnection.Click += new System.EventHandler(this.btnTestConnection_Click);
			// 
			// ConnectionPropertiesForm
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.ClientSize = new System.Drawing.Size(428, 268);
			this.Controls.Add(this.btnTestConnection);
			this.Controls.Add(this.btnSave);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.groupBoxDatabase);
			this.Controls.Add(this.groupBoxAuthentication);
			this.Controls.Add(this.groupBoxServer);
			this.Controls.Add(this.txtConnectionName);
			this.Controls.Add(this.lblConnectionName);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ConnectionPropertiesForm";
			this.Text = "Connection properties";
			this.groupBoxServer.ResumeLayout(false);
			this.groupBoxServer.PerformLayout();
			((System.ComponentModel.ISupportInitialize)(this.numPort)).EndInit();
			this.groupBoxAuthentication.ResumeLayout(false);
			this.groupBoxAuthentication.PerformLayout();
			this.groupBoxDatabase.ResumeLayout(false);
			this.groupBoxDatabase.PerformLayout();
			this.ResumeLayout(false);
			this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.Label lblConnectionName;
        private System.Windows.Forms.TextBox txtConnectionName;
        private System.Windows.Forms.Label lblUser;
        private System.Windows.Forms.Label lblPassword;
        private System.Windows.Forms.TextBox txtUser;
        private System.Windows.Forms.TextBox txtPassword;
        private System.Windows.Forms.GroupBox groupBoxServer;
        private System.Windows.Forms.Label lblPort;
        private System.Windows.Forms.TextBox txtHost;
        private System.Windows.Forms.Label lblHost;
        private System.Windows.Forms.NumericUpDown numPort;
        private System.Windows.Forms.GroupBox groupBoxAuthentication;
        private System.Windows.Forms.GroupBox groupBoxDatabase;
        private System.Windows.Forms.Button btnLoadDbNames;
        private System.Windows.Forms.Label lblDbName;
        private System.Windows.Forms.Button btnCancel;
        private System.Windows.Forms.Button btnSave;
        private System.Windows.Forms.ComboBox cmbDbNames;
        private System.Windows.Forms.Button btnTestConnection;
    }
}

